//PROGRAMA PARA LEER LA TEMPERATURA DEL SENSOR DS18B20;
//MEDIANTE LA FUNCION ds1820_read()
//ESCRIBE LA TEMPERATURA EN EL LCD CON 2 ENTEROS Y UN DECIMAL
//UTILIZA EL ARCHIVO AUXILIAR ONEWIRE.h

#if defined(__PCM__)
#include "16F88adc.h"
#include "keyadc.h"
#include "ONEWIRE.h"
#include <stdio.h>	//librera sprintf()
#include <stdlib.h>	//libreras atoi(),atof()

#rom 0X0000={0X018A,0X2803}	//DATOS REQUERIDOS POR TINY					
#build(reset=0x0003)

float GRADOS;
char array[5];

void main() {
	while(1){
	GRADOS=ds1820_read();
	sprintf(array,"%3.1f",GRADOS);
	TRISA=0;
	TRISB=0;
	initLCD();
	clearLCD();
	putLCD("TEMPE:");
	cursorXY(1,0);
	stringLCD(array);
	putLCD(32);
	putLCD(214);
	putLCD('C');
	delay_ms(800);
	}


}

